<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://csu.cz/sdmx/validation/model" 
           targetNamespace="http://csu.cz/sdmx/validation/model" elementFormDefault="qualified">
    <xs:complexType name="validationResult">
        <xs:sequence>
            <xs:element name="id" type="xs:int"/>
            <xs:element name="dataFilename" type="xs:string"/>
            <xs:element name="date" type="xs:date"/>
            <xs:element name="dsds" type="xs:string"/>
            <xs:element name="error" type="tns:validationError" maxOccurs="unbounded" minOccurs="0"/>
        </xs:sequence>
    </xs:complexType>
    <xs:complexType name="validationError">
        <xs:sequence>
            <xs:element name="text" type="xs:string"/>
            <xs:element name="type" type="xs:string"/>
            <xs:element name="errorCode" type="xs:string"/>
            <xs:element name="file" type="xs:string"/>
            <xs:element name="lineNumber" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>
    <xs:complexType name="conditionNoId">
            <xs:complexContent>
                <xs:restriction base="tns:condition">
                <xs:sequence>
                    <xs:element name="expression" type="xs:string"/>
                    <xs:element name="obsValAttrName" type="xs:string"/>
                    <xs:element name="dsdName" type="xs:string"/>
                    <xs:element name="commonDimension" type="xs:string" minOccurs="0" maxOccurs="unbounded"/>
                </xs:sequence>
                </xs:restriction>
            </xs:complexContent>
    </xs:complexType>
    <xs:complexType name="condition">
        <xs:sequence>
            <xs:element name="id" type="xs:int" minOccurs="0"/>
            <xs:element name="expression" type="xs:string"/>
            <xs:element name="obsValAttrName" type="xs:string"/>
            <xs:element name="dsdName" type="xs:string"/>
            <xs:element name="commonDimension" type="xs:string" minOccurs="0" maxOccurs="unbounded"/>
        </xs:sequence>
    </xs:complexType>
</xs:schema>